#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Twig
Summary:	XML::Twig - a perl module for processing huge XML documents in tree mode
Summary(pl.UTF-8):	XML::Twig - przetwarzanie dużych dokumentów XML w trybie drzewa
Name:		perl-XML-Twig
Version:	3.48
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1ddcbe84efd3ee2509d72e69fa354b75
URL:		http://search.cpan.org/dist/XML-Twig/
%if %{with tests}
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Text-Iconv
BuildRequires:	perl-Tie-IxHash
BuildRequires:	perl-Unicode-Map8
BuildRequires:	perl-Unicode-String
BuildRequires:	perl-XML-Handler-YAWriter
BuildRequires:	perl-XML-Parser >= 2.23
BuildRequires:	perl-XML-SAX-Writer >= 0.39
BuildRequires:	perl-XML-XPath
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-XML-Parser >= 2.23
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	XML::Twig::Elt

%description
This module provides a way to process XML documents. It is build on
top of XML::Parser.

The module offers a tree interface to the document, while allowing you
to output the parts of it that have been completely processed.

%description -l pl.UTF-8
Ten moduł udostępnia sposób na przetwarzanie dokumentów XML. Jest
zbudowany w oparciu o XML::Parser.

Moduł oferuje drzewiasty interfejs do dokumentu, pozwalając
przekazywać na wyjście części, które zostały już całkowicie
przetworzone.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null\
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xml_*
%{perl_vendorlib}/XML/Twig.pm
%dir %{perl_vendorlib}/XML/Twig
%{perl_vendorlib}/XML/Twig/*.pm
%{_mandir}/man1/xml_*.1p*
%{_mandir}/man3/XML::Twig*.3pm*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-XML-Twig.git;a=log;h=master

* Tue Oct 21 2014 Adam Osuchowski <adwol@pld-linux.org> 5b7aded
- up to 3.48

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 3302808
- working URL

* Sat Dec 03 2011 Adam Osuchowski <adwol@pld-linux.org> f2548b0
- up to 3.39
- fixed typo in summary

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> dd9426a
- Up to 3.38

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> ad3ac1e
- rel. 1

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> c98ca7f
- ver. 3.32 (NFY)

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 2e6f70a
- BR: perl-Test-Pod, perl-XML-XPath

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e2bb02a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 221f467
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> c2dce81
- updated to 3.26

* Mon Aug 15 2005 radek <radek@pld-linux.org> cf18037
- version 3.21

* Tue May 31 2005 Jakub Bogusz <qboosh@pld-linux.org> 8d08b1e
- readable/grepable file list

* Tue May 31 2005 petec <petec@pld-linux.org> 3a96cbc
- up to 3.17
- cosmetics in %files

* Thu May 05 2005 ankry <ankry@pld-linux.org> bbf3e05
- updated to 3.16

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> cdbb91b
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> cdc1436
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> d895041
- enabled tests, license fix, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 2e6b8a3
- cosmetics, unification

* Mon Apr 05 2004 Adam Gołębiowski <adamg@pld-linux.org> ffd0cf6
- updated to 3.15

* Sun Mar 28 2004 Adam Gołębiowski <adamg@pld-linux.org> 8664525
- updated to 3.14

